petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMComputeVariableBounds

compute variable bounds used by SNESVI.

### Synopsis

    #include "petscdm.h"
    PetscErrorCode  DMComputeVariableBounds(DM dm, Vec xl, Vec xu)

Logically Collective on DM

### Input Parameters

dm -the DM object

### Output parameters

| xl | - lower bound
| xu | - upper bound

Notes: This is generally not called by users. It calls the function provided by the user with DMSetVariableBounds()

### See Also

DMView(), DMCreateGlobalVector(), DMCreateInterpolation(), DMCreateColoring(), DMCreateMatrix(), DMGetApplicationContext()

Level:advanced
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages